# Change Log
All notable changes to this extension will be documented in this file.
This extension adheres to [Magenest](http://magenest.com/).

## [3.3.0] - 2021-04-16
- Add Refresh token.
- Add massaction add object to Queue page.
- Sync discount of Order to OrderItem Salesforce.

## [3.2.0] - 2021-01-07
1. Compatible with Magento 2.4
2. Add Detailed Response in Report Grid
3. Add Default Value option for Field Mapping
4. Support Salesforce Personal Account
5. Allow linking Contact sync with Account
6. Add Date Filter to Records Sync in module configuration
7. Improve Queue Processing
8. Fix bugs

## [3.1.2] - 2020-04-08
1. Compatible with Magento 2.2.x, 2.3.x
2. Fix bugs

## [3.1.1] - 2019-11-12
1. Compatible with Magento 2.2.x, 2.3.x
2. Fix bugs

## [3.1.0] - 2019-03-13
1. Bugs fixes for cronjob 
2. Show custom attributes of customer, product in the Mapping page
3. Fix dead loop in Order batch request
4. Show more fields from SalesForce
5. Update SalesForce API version
6. Compatible with 2.3, Opensource and Commerce

## [3.0.3] - 2018-06-21
1. Remove field AccountNumber from Account object
2. Add new ignore type of the mapping field

## [3.0.2] - 2018-06-15
1. Fix admin path in mapping
2. Remove white-spaces in layout

## [3.0.1] - 2018-01-26
### Added
1. Rework mapping.
2. Add Item syncing in Opportunity.
3. Improve mass-action in Data Grids.
4. Improve mass-import data.
5. Improve syncing speed.
7. Fix Campaign syncing.
6. Fix bugs.

## [3.0.0] - 2017-10-18
### Added
1. Compatible with Magento 2.2

## [2.0.1] - 2017-07-18
### Added
1. Improve speed, interface.
2. Add/Update messages when error occurs.
3. Fix some bugs.

## [2.0.0] - 2016-11-16
### Added
1. Allow synchronizing and updating All Contacts from Magento 2 store into Salesforce.
2. Allow synchronizing and updating All Leads from Magento 2 store into Salesforce.
3. Allow synchronizing and updating All Accounts from Magento 2 store into Salesforce.
4. Allow synchronizing and updating All Products from Magento 2 store into Salesforce.
5. Allow synchronizing and updating All Orders from Magento 2 store into Salesforce.
6. Allow synchronizing and updating All Campaigns from Magento 2 store into Salesforce.
7. Allow synchronizing and updating All Data from Magento 2 store into Salesforce.
8. Allow seeing sync information and sync a single Customer.
9. Allow seeing sync information and sync a single Product.
10. Allow seeing sync information and sync a single Order.
11. Add queue mode.
12. Allow choosing auto sync or add to queue sync.
13. Allow checking report of daily requests.
14. Allow add all Customers, Products, Orders, Invoices, Credit Memos to Queue.


## [1.0.0] - 2016-06-23
### Added
1. Allow synchronizing and updating Contacts from Magento 2 store into Salesforce.
2. Allow synchronizing and updating Leads from Magento 2 store into Salesforce.
3. Allow synchronizing and updating Accounts from Magento 2 store into Salesforce.
4. Allow synchronizing and updating Products from Magento 2 store into Salesforce.
5. Allow synchronizing and updating Orders from Magento 2 store into Salesforce.
6. Allow synchronizing and updating Campaigns from Magento 2 store into Salesforce.
